
QGIS Application - Bug report #2258

multiple attribute tables for one layers; many docked attribute tables make layer list unreadable

2009-12-10 08:47 PM - dr -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 12318

Description

1) Docked and undocked attribute table for one layer can be opened many times.

2) If open many docked attribute tables (for one or for many layers), than TOC becomes too narrow and attribute table buttons overlaps.

History

#1 - 2009-12-11 02:36 AM - Jürgen Fischer

Is there a problem with having multiple attribute tables for one layer?

#2 - 2009-12-11 02:53 AM - dr -

I guess that having multiple attribute tables for one layer is not necessary function. Besides I can't imagine how these tables can allocate within dock

window.

#3 - 2009-12-19 05:35 AM - Borys Jurgiel

The problem is a risk of data inconsistency if one forgets about them and performs edits in both tables...

#4 - 2010-06-11 01:32 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to invalid

Untrue: the tables are updated on the fly

#5 - 2010-06-12 10:00 AM - dr -

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

Bug still present.
#6 - 2010-06-13 10:26 AM - Paolo Cavallini
See also 1893

#7 - 2010-06-13 10:41 AM - Paolo Cavallini

I mean #1893

#8 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#9 - 2011-12-26 05:37 AM - Giovanni Manghi

- Assignee deleted (nobody -)

- Resolution set to duplicate

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Status changed from Feedback to Closed

Duplicate of #1893
